module Slds
  class Engine < ::Rails::Engine
    isolate_namespace Slds

    initializer 'slds', before: :load_config_initializers do
      Rails.application.routes.append do
        mount Slds::Engine => '/slds'
      end
    end

    initializer 'Rails logger', after: :load_config_initializers do
      Slds.logger = Rails.logger # get 'updated' rails logger
    end
  end
end
